Create table WEDGE_CS_CALL_STRAN (
     SERVERSUB_ID    	    NUMBER(9) NOT NULL  
     ,ID                     NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME           VARCHAR2(100) NULL 
     ,PHYSICAL_NAME          VARCHAR2(100) NULL 
     ,MEMO                   VARCHAR2(255) NULL 
     ,LINE                   NUMBER(9) NULL 
     ,CALL_SERVERSUB_PNAME   VARCHAR2(100) NULL 
     ,CALL_STRAN_PNAME       VARCHAR2(100) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
     ,REVISION               VARCHAR2(20) NULL 
) ;
Create table WEDGE_CS_CALL_STRAN_IN_RECORD (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,CALL_STRAN_ID	NUMBER(9) NULL 
     ,SERVERDATA_ID  NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CALL_STRAN_OUT_RECORD (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,CALL_STRAN_ID  NUMBER(9) NULL 
     ,SERVERDATA_ID  NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_COMPONENT (
     FRAME_ID        NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME   VARCHAR2(100) NULL 
     ,PHYSICAL_NAME  VARCHAR2(100) NULL 
     ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,BASECLASS_ID   NUMBER(9) NULL 
     ,TEXT           VARCHAR2(500) NULL
     ,TOOLTIP_TEXT   VARCHAR2(500) NULL
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CRULE (
     FRAME_ID        NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME   VARCHAR2(100) NULL 
     ,PHYSICAL_NAME  VARCHAR2(100) NULL 
     ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,BASECLASS_ID   NUMBER(9) NULL 
     ,PARAM          VARCHAR2(255) NULL
     ,TYPE           VARCHAR2(255) NULL 
     ,ADAPTER_PNAME  VARCHAR2(100) NULL 
     ,DEFAULT_CHECK  NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CRULE_IN_RECORD (
     FRAME_ID    NUMBER(9) NOT NULL 
     ,ID         NUMBER(9) NOT NULL Primary key
     ,LINE       NUMBER(9) NULL 
     ,CRULE_ID   NUMBER(9) NULL 
     ,ITEM_ID    NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CRULE_OUT_RECORD (
     FRAME_ID    NUMBER(9) NOT NULL 
     ,ID         NUMBER(9) NOT NULL Primary key
     ,LINE       NUMBER(9) NULL 
     ,CRULE_ID   NUMBER(9) NULL 
     ,ITEM_ID    NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CTRAN (
     FRAME_ID            NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME       VARCHAR2(100) NULL 
     ,PHYSICAL_NAME      VARCHAR2(100) NULL 
     ,MEMO               VARCHAR2(255) NULL 
     ,LINE               NUMBER(9) NULL 
     ,SERVERSUB_PNAME    VARCHAR2(100) NULL 
     ,STRAN_PNAME        VARCHAR2(100) NULL 
     ,SERVERSUB_REVISION NUMBER(9) NULL
     ,HTML_ID            NUMBER(9) NULL 
     ,DEFAULT_CHECK      VARCHAR2(255) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CTRAN_IN_RECORD (
     FRAME_ID    NUMBER(9) NOT NULL 
     ,ID         NUMBER(9) NOT NULL Primary key
     ,LINE       NUMBER(9) NULL 
     ,CTRAN_ID   NUMBER(9) NULL 
     ,ITEM_ID    NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_CTRAN_OUT_RECORD (
     FRAME_ID    NUMBER(9) NOT NULL 
     ,ID         NUMBER(9) NOT NULL Primary key
     ,LINE       NUMBER(9) NULL 
     ,CTRAN_ID   NUMBER(9) NULL 
     ,ITEM_ID    NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_DECISION_DLCP (
     SERVERSUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
     ,LINE               NUMBER(9) NULL 
     ,DECISION_TYPE_ID   NUMBER(9) NULL 
     ,USER_ERROR         VARCHAR2(255) NULL 
     ,DC_ID              NUMBER(9) NULL 
     ,SRULE_ID           NUMBER(9) NULL 
     ,CALL_STRAN_ID      NUMBER(9) NULL 
     ,ENABLE             VARCHAR2(255) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_CS_DECISION_TABLE (
     SERVERSUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME       VARCHAR2(100) NULL 
     ,PHYSICAL_NAME      VARCHAR2(100) NULL 
     ,MEMO               VARCHAR2(255) NULL 
     ,LINE               NUMBER(9) NULL 
     ,SERVER_TRAN_ID     NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_CS_DECISION_TYPE (
     SERVERSUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME       VARCHAR2(100) NULL 
     ,PHYSICAL_NAME      VARCHAR2(100) NULL 
     ,MEMO               VARCHAR2(255) NULL 
     ,LINE               NUMBER(9) NULL 
     ,DECISION_TABLE_ID  NUMBER(9) NULL 
     ,DECISION_EXECUTE_TYPE  VARCHAR2(255) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_CS_DLCP (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME   VARCHAR2(100) NULL 
     ,PHYSICAL_NAME  VARCHAR2(100) NULL 
     ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,DLCP_ID        NUMBER(9) NULL 
     ,CONNECTION_DB  VARCHAR2(255) NULL 
     ,SRULE_ID       NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
     ,REVISION       NUMBER(9) NULL
) ;
Create table WEDGE_CS_DLCP_IN_RECORD (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,DLCP_ID        NUMBER(9) NULL 
     ,SERVERDATA_ID  NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_DLCP_OUT_RECORD (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,DLCP_ID        NUMBER(9) NULL 
     ,SERVERDATA_ID  NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_EXECUTE_TIMING (
     FRAME_ID			NUMBER(9) NOT NULL 
     ,ID					NUMBER(9) NOT NULL Primary key
     ,HID				NUMBER(9) NULL 
     ,LINE				NUMBER(9) NULL 
     ,ITEM_ID			NUMBER(9) NULL 
     ,TABLE_H_ID			NUMBER(9) NULL 
     ,EXECUTE_TIMING		NUMBER(9) NULL
     ,TYPE				VARCHAR2(255) NULL
     ,CRULE_ID			NUMBER(9) NULL
     ,CTRAN_ID			NUMBER(9) NULL
     ,USER_ERROR			VARCHAR2(255) NULL
     ,NEXT_ITEM_ID		NUMBER(9) NULL
     ,BEFORE_DIALOG      VARCHAR2(255) NULL 
     ,AFTER_DIALOG		VARCHAR2(255) NULL
     ,ERROR_DIALOG		VARCHAR2(255) NULL
     ,PARAM				VARCHAR2(255) NULL
     ,ENABLE				VARCHAR2(255) NULL
     ,ONLY_VALUE_CHANGED VARCHAR2(255) NULL
     ,CREATE_USER		VARCHAR2(20) NULL
     ,CREATE_DATE		VARCHAR2(14) NULL
     ,UPDATE_USER		VARCHAR2(20) NULL
     ,UPDATE_DATE		VARCHAR2(14) NULL
) ;
CREATE TABLE WEDGE_CS_EXECUTION_D (
     FRAME_ID        NUMBER(9)      NOT NULL,
     HID             NUMBER(9)      NOT NULL,
     ID              NUMBER(9)      NOT NULL PRIMARY KEY,
     LINE            NUMBER(9)      NULL,
     MEMO            VARCHAR2(255) NULL,
     HTML_ID         NUMBER(9)      NULL,
     CRULE_ID        NUMBER(9)      NULL,
     CTRAN_ID        NUMBER(9)      NULL,
     USER_ERROR      VARCHAR2(255) NULL,
     ERROR_HTML_ID   NUMBER(9)      NULL,
     ENABLE          VARCHAR2(255) NULL,
     CREATE_USER     VARCHAR2(20)  NULL,
     CREATE_DATE     VARCHAR2(14)  NULL,
     UPDATE_USER     VARCHAR2(20)  NULL,
     UPDATE_DATE     VARCHAR2(14)  NULL
);
CREATE TABLE WEDGE_CS_EXECUTION_H (
     FRAME_ID        NUMBER(9)       NOT NULL,
     ID              NUMBER(9)       NOT NULL PRIMARY KEY,
     LINE            NUMBER(9)       NULL,
     LOGICAL_NAME    VARCHAR2(100)  NULL,
     PHYSICAL_NAME   VARCHAR2(100)  NULL,
     MEMO            VARCHAR2(255)  NULL,
     CREATE_USER     VARCHAR2(20)   NULL,
     CREATE_DATE     VARCHAR2(14)   NULL,
     UPDATE_USER     VARCHAR2(20)   NULL,
     UPDATE_DATE     VARCHAR2(14)   NULL
);
Create table WEDGE_CS_FRAME (
     ID                      NUMBER(9) NOT NULL Primary key
     ,LOGICAL_NAME           VARCHAR2(100) NULL 
     ,PHYSICAL_NAME          VARCHAR2(100) NULL 
     ,MEMO                   VARCHAR2(255) NULL 
     ,FRAME_TYPE             VARCHAR2(255) NULL 
     ,MENU_H_ID              NUMBER(9) NULL 
     ,TOOLBAR_H_ID           NUMBER(9) NULL 
     ,TITLE                  VARCHAR2(100) NULL 
     ,WIDTH                  VARCHAR2(100) NULL 
     ,HEIGHT                 VARCHAR2(100) NULL 
     ,COMPILED               NUMBER(9) NULL
     ,OMIT_BACKCOLOR         VARCHAR2(100) NULL 
     ,OMIT_BACKCOLOR_TIMING  VARCHAR2(255) NULL 
     ,STATUSBAR_POSITION     VARCHAR2(255) NULL 
     ,STATUSBAR_FORECOLOR    VARCHAR2(100) NULL 
     ,STATUSBAR_BACKCOLOR    VARCHAR2(100) NULL 
     ,IMAGE_PATH             VARCHAR2(255) NULL 
     ,SAVE_CONTENTS          VARCHAR2(255) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
     ,REVISION       NUMBER(9) NULL
) ;
Create table WEDGE_CS_FRAME_IN_RECORD (
     FRAME_ID    NUMBER(9) NOT NULL 
     ,ID         NUMBER(9) NOT NULL Primary key
     ,LINE       NUMBER(9) NULL 
     ,ITEM_ID    NUMBER(9) NULL 
     ,CREATE_USER    VARCHAR2(20) NULL
     ,CREATE_DATE    VARCHAR2(14) NULL
     ,UPDATE_USER    VARCHAR2(20) NULL
     ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_FRAME_OUT_RECORD (
     FRAME_ID    NUMBER(9) NOT NULL 
     ,ID         NUMBER(9) NOT NULL Primary key
     ,LINE       NUMBER(9) NULL 
     ,ITEM_ID    NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_GROUP_D (
     FRAME_ID        NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,HID            NUMBER(9) NOT NULL
     ,LINE           NUMBER(9) NULL
     ,COMPONENT_ID   NUMBER(9) NULL 
      ,VALUE          VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_GROUP_H (
     FRAME_ID        NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL
     ,ITEM_ID        NUMBER(9) NULL 
      ,DEFAULT_VALUE  VARCHAR2(255) NULL  
      ,TEXT           VARCHAR2(500) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_HTML_D (
     ID              NUMBER(9) NOT NULL Primary key
     ,HID            NUMBER(9) NOT NULL
    ,SOURCE         CLOB NULL 
     ,USER_AGENT     NUMBER(9)      NULL
      ,MIME_TYPE      VARCHAR2(255) NULL
      ,CHARSET        VARCHAR2(255) NULL
      ,MEMO           VARCHAR2(255) NULL
     ,LINE           NUMBER(9)
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_CS_HTML_H (
     ID              NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_CS_ITEM (
     FRAME_ID        NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,COMPONENT_ID   NUMBER(9) NULL 
     ,DATA_D_ID      NUMBER(9) NULL 
      ,ITEM_TYPE      VARCHAR2(255) NULL 
     ,MENU_D_ID      NUMBER(9) NULL
     ,TOOLBAR_D_ID   NUMBER(9) NULL
      ,DEFAULT_CHECK  VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_LAYOUT (
     FRAME_ID            NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME       VARCHAR2(100) NULL 
      ,PHYSICAL_NAME      VARCHAR2(100) NULL 
     ,LINE               NUMBER(9) NULL 
     ,COMPONENT_ID       NUMBER(9) NULL 
      ,COMPONENT_CLASS    VARCHAR2(100) NULL 
      ,X_POS              VARCHAR2(100) NULL 
      ,Y_POS              VARCHAR2(100) NULL 
      ,WIDTH              VARCHAR2(100) NULL 
      ,HEIGHT             VARCHAR2(100) NULL 
      ,ANCHOR             VARCHAR2(100) NULL 
      ,PARENT_COMPONENT   VARCHAR2(100) NULL 
      ,LEVEL_NO           VARCHAR2(100) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_ORDER (
     FRAME_ID               NUMBER(9) NOT NULL 
     ,ID                    NUMBER(9) NOT NULL Primary key
     ,LINE                  NUMBER(9) NULL 
     ,COMPONENT_ID          NUMBER(9) NULL 
     ,NEXT_COMPONENT_ID     NUMBER(9) NULL 
     ,PREVIOUS_COMPONENT_ID NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_PROPERTY (
     FRAME_ID            NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
     ,LINE               NUMBER(9) NULL 
     ,COMPONENT_ID       NUMBER(9) NULL 
      ,PROPERTY           VARCHAR2(255) NULL 
      ,VALUE              VARCHAR2(100) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_SERVERDATA (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,DATA_D_ID      NUMBER(9) NULL 
      ,ITEM_TYPE      VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_SERVERSUB (
     ID              NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
     ,REVISION       NUMBER(9) NULL
 	,COMPILED       NUMBER(9) NULL
) ;
Create table WEDGE_CS_SRULE (
     SERVERSUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,BASECLASS_ID   NUMBER(9) NULL 
      ,PARAM          VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_SRULE_IN_RECORD (
     SERVERSUB_ID            NUMBER(9) NOT NULL 
     ,SERVERBUSINESSRULE_ID  NUMBER(9) NULL 
     ,ID                     NUMBER(9) NOT NULL Primary key
     ,SERVERDATA_ID          NUMBER(9) NULL 
     ,LINE                   NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_SRULE_OUT_RECORD (
     SERVERSUB_ID            NUMBER(9) NOT NULL 
     ,SERVERBUSINESSRULE_ID  NUMBER(9) NULL 
     ,ID                     NUMBER(9) NOT NULL Primary key
     ,SERVERDATA_ID          NUMBER(9) NULL 
     ,LINE                   NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_STRAN (
     SERVERSUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME       VARCHAR2(100) NULL 
      ,PHYSICAL_NAME      VARCHAR2(100) NULL 
      ,MEMO               VARCHAR2(255) NULL 
     ,LINE               NUMBER(9) NULL 
     ,INPUT_RECORD_ID    NUMBER(9) NULL 
     ,OUTPUT_RECORD_ID   NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_STRAN_IN_RECORD (
     SERVERSUB_ID            NUMBER(9) NOT NULL 
     ,ID                     NUMBER(9) NOT NULL Primary key
     ,LINE                   NUMBER(9) NULL
     ,SERVERTRANSACTION_ID   NUMBER(9) NULL 
     ,SERVERDATA_ID          NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_STRAN_OUT_RECORD (
     SERVERSUB_ID            NUMBER(9) NOT NULL 
     ,ID                     NUMBER(9) NOT NULL Primary key
     ,LINE                   NUMBER(9) NULL
     ,SERVERTRANSACTION_ID   NUMBER(9) NULL 
     ,SERVERDATA_ID          NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_TABLE_D (
     FRAME_ID        NUMBER(9) NOT NULL 
     ,HID            NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL 
     ,ITEM_ID        NUMBER(9) NULL 
      ,TEXT           VARCHAR2(100) NULL
     ,COLUMNWIDTH    NUMBER(9) NULL 
      ,VISIBLE        VARCHAR2(255) NULL 
      ,EDITABLE       VARCHAR2(255) NULL 
     ,CELLRENDERER   NUMBER(9) NULL 
     ,CELLEDITOR     NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_CS_TABLE_H (
     FRAME_ID                NUMBER(9) NOT NULL 
     ,ID                     NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME           VARCHAR2(100) NULL 
      ,PHYSICAL_NAME          VARCHAR2(100) NULL 
      ,MEMO                   VARCHAR2(255) NULL 
     ,LINE                   NUMBER(9) NULL 
     ,COMPONENT_ID           NUMBER(9) NULL 
      ,READONLY               VARCHAR2(255) NULL 
      ,INSERTMENU             VARCHAR2(255) NULL 
      ,COPYMENU               VARCHAR2(255) NULL 
      ,DELETEMENU             VARCHAR2(255) NULL 
      ,MOVEMENU               VARCHAR2(255) NULL 
      ,ROWREVERSAL            VARCHAR2(255) NULL 
      ,ROWHEIGHT              VARCHAR2(255) NULL 
      ,RESIZEMODE             VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_HTML_USER_AGENT (
     ID              NUMBER(9)      NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL
      ,PHYSICAL_NAME  VARCHAR2(100) NULL
      ,SEARCH_STRING  VARCHAR2(100) NULL
      ,CONDITION      VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20)  NULL
      ,CREATE_DATE    VARCHAR2(14)  NULL
      ,UPDATE_USER    VARCHAR2(20)  NULL
      ,UPDATE_DATE    VARCHAR2(14)  NULL
);
CREATE TABLE WEDGE_DAT_AUTHORITY_D (
     ID              NUMBER(9) NOT NULL Primary Key,
     HID             NUMBER(9) NOT NULL,
     LINE            NUMBER(9) NOT NULL,
     AUTHOTIRY_ID    NUMBER(9) NOT NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_AUTHORITY_H(
     ID              NUMBER(9) NOT NULL Primary Key,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NOT NULL,
      MEMO            VARCHAR2(255)
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_DATA_D (
     ID              NUMBER(9)  NOT NULL Primary Key,
     HID             NUMBER(9)  NOT NULL,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NULL,
      MEMO            VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_DATA_H (
     ID                  NUMBER(9)     NOT NULL    Primary Key,
      LOGICAL_NAME        VARCHAR2(100)    NULL,
      PHYSICAL_NAME       VARCHAR2(100)    NULL,
     LINE                NUMBER(9)     	NULL,
      MEMO                VARCHAR2(255) NULL,
     TYPE                NUMBER(9)		NULL,
      FIX                 VARCHAR2(255)		NULL,
     LENGTH              NUMBER(9)     NULL,
     SCALE               NUMBER(9)		NULL,
      DEFAULT_VALUE       VARCHAR2(255) NULL,
      OMIT                VARCHAR2(255)		NULL,
      ENUM                VARCHAR2(255) NULL,
     FORMAT_CLASS        NUMBER(9)		NULL,
      FORMAT_PARAM        VARCHAR2(100) NULL,
      BYTE_TYPE           VARCHAR2(255)     NULL,
      MINIMUM             VARCHAR2(100)     NULL,
      MAXIMUM             VARCHAR2(100)     NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_DC_IN_RECORD (
     ID                  NUMBER(9)     NOT NULL    Primary Key,
     HID         NUMBER(9)     NOT NULL,
     DATA_D_ID           NUMBER(9)     NOT NULL,
     LINE                NUMBER(9)     NOT NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_DC_OUT_RECORD (
     ID                  NUMBER(9)     NOT NULL    Primary Key,
     HID         NUMBER(9)     NOT NULL,
     DATA_D_ID           NUMBER(9)     NOT NULL,
     LINE                NUMBER(9)     NOT NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_DLCP_D (
     ID                  NUMBER(9)     NOT NULL    Primary Key,
     HID                 NUMBER(9)     NOT NULL,
     LINE                NUMBER(9)     NOT NULL,
      TYPE                VARCHAR2(255)     NOT NULL,
     DATA_D_ID           NUMBER(9)     NULL,
      CONDITION           VARCHAR2(20)    NULL,
      VALUE               VARCHAR2(255)   NULL,
      BEFORE_BRACKET      VARCHAR2(1)     NULL,
      AFTER_BRACKET       VARCHAR2(1)     NULL,
      CONJUNCTION         VARCHAR2(20)    NULL,
      COMPARE             VARCHAR2(20)    NULL,
      ORDER_VALUE             VARCHAR2(20)    NULL    
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_DLCP_H (
     ID                  NUMBER(9)     NOT NULL    Primary Key,
     TYPE                NUMBER(9)     NOT NULL,
     COMM_ID             NUMBER(9)     NOT NULL,
      LOGICAL_NAME        VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME       VARCHAR2(100)    NOT NULL,
     LINE                NUMBER(9)     NOT NULL,
      MEMO                VARCHAR2(255),
      SQL                 VARCHAR2(2000),
      FREE_SQL            CLOB,
      RUNTIME_SQL         VARCHAR2(2000),
      SQL_TYPE            VARCHAR2(60),
     TABLE_H_ID          NUMBER(9) 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
     ,REVISION       NUMBER(9) NULL
);
CREATE TABLE WEDGE_DAT_RECORD_D (
     ID          NUMBER(9) NOT NULL Primary Key,
     HID         NUMBER(9) NOT NULL,
     DATA_D_ID   NUMBER(9) NOT NULL,
     LINE        NUMBER(9) NOT NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_RECORD_H (
     ID              NUMBER(9)  NOT NULL Primary Key,
      TYPE            VARCHAR2(255)  NULL,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NOT NULL,
      MEMO            VARCHAR2(255)
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_ROLE_D (
     ID      NUMBER(9) NOT NULL Primary Key,
     HID     NUMBER(9) NOT NULL,
     LINE    NUMBER(9) NOT NULL,
     USER_ID NUMBER(9) NOT NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_ROLE_H (
     ID              NUMBER(9)  NOT NULL Primary Key,
      TYPE            VARCHAR2(255)  NOT NULL,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NOT NULL,
      MEMO            VARCHAR2(255)
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_TABLE_D (
     ID          NUMBER(9) NOT NULL Primary Key,
     HID         NUMBER(9) NOT NULL,
     DATA_D_ID   NUMBER(9) NOT NULL,
     LINE        NUMBER(9) NOT NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_TABLE_H (
     ID              NUMBER(9)  NOT NULL Primary Key,
     RECORD_H_ID     NUMBER(9)  NULL,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NOT NULL,
      MEMO            VARCHAR2(255) NULL,
      CONNECTION_DB    VARCHAR2(255)  NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_TABLE_KEY_D (
     ID                  NUMBER(9) NOT NULL Primary Key,
     HID                 NUMBER(9) NOT NULL,
     LINE                NUMBER(9) NOT NULL,
     DATA_D_ID           NUMBER(9) NOT NULL,
     OTHER_TABLE_H_ID    NUMBER(9) NULL,
     OTHER_DATA_D_ID     NUMBER(9) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_TABLE_KEY_H (
     ID              NUMBER(9)  NOT NULL Primary Key,
     HID             NUMBER(9)  NOT NULL,
      CLASS           VARCHAR2(255) NOT NULL,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NOT NULL,
      MEMO            VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
CREATE TABLE WEDGE_DAT_USER (
     ID              NUMBER(9)  NOT NULL Primary Key,
      LOGICAL_NAME    VARCHAR2(100) NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100) NOT NULL,
     LINE            NUMBER(9)  NOT NULL,
      PASSWORD        VARCHAR2(10) NOT NULL,
      MEMO            VARCHAR2(255)
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create Table WEDGE_BASE_D (
     HID             NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary Key
     ,LINE           NUMBER(9) NOT NULL 
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
      ,CLASS_NAME     VARCHAR2(120) NULL 
      ,MEMO           VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
)
;
Create Table WEDGE_BASE_H (
     ID              NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
      ,SEARCH_STRING  VARCHAR2(60) NOT NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create Table WEDGE_BUSINESSRULE_D (
     HID             NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary Key
     ,LINE           NUMBER(9) NOT NULL 
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
      ,CLASS_NAME     VARCHAR2(120) NULL 
      ,MEMO           VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
)
;
Create Table WEDGE_BUSINESSRULE_H (
     ID              NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
)
;
Create Table WEDGE_DATA (
     ID                  NUMBER(9)    NOT NULL Primary Key,
      LOGICAL_NAME        VARCHAR2(100)   NULL,
      PHYSICAL_NAME       VARCHAR2(100)   NULL,
     LINE                NUMBER(9)    NULL,
      MEMO                VARCHAR2(255)  NULL,
      DATA_TYPE           VARCHAR2(255)  NULL,
     DB_TRANSFER_CLASS   NUMBER(9)    NULL,
      DB_TRANSFER_PARAM   VARCHAR2(100)  NULL,
     FORMAT_CLASS        NUMBER(9)    NULL,
      FORMAT_PARAM        VARCHAR2(100)  NULL,
     CHECK_CLASS			NUMBER(9)		NULL,
      CREATE_USER         VARCHAR2(20)   NULL,
      CREATE_DATE         VARCHAR2(14)   NULL,
      UPDATE_USER         VARCHAR2(20)   NULL,
      UPDATE_DATE         VARCHAR2(14)   NULL
) ;
Create Table WEDGE_DLCP_D (
     HID             NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary Key
     ,LINE           NUMBER(9) NOT NULL 
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
      ,CLASS_NAME     VARCHAR2(120) NULL 
      ,MEMO           VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
)
;
Create Table WEDGE_DLCP_H (
     ID              NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
      ,SEARCH_STRING  VARCHAR2(60) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create Table WEDGE_NAME_D (
     HID             NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
      ,VALUE          VARCHAR2(255) NOT NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create Table WEDGE_NAME_H (
     ID              NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
      ,SEARCH_STRING  VARCHAR2(60) NOT NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
)
;
Create Table WEDGE_NUMBER_TABLE (
      TYPE  VARCHAR2(3) NOT NULL Primary Key
     ,ID   NUMBER(9) NOT NULL
);
--Begin;
Insert Into WEDGE_NUMBER_TABLE (TYPE, ID) Values('OMC', 1);
Insert Into WEDGE_NUMBER_TABLE (TYPE, ID) Values('PMC', 1000000);
Insert Into WEDGE_NUMBER_TABLE (TYPE, ID) Values('DMC', 1);
Insert Into WEDGE_NUMBER_TABLE (TYPE, ID) Values('AMC', 1);
Insert Into WEDGE_NUMBER_TABLE (TYPE, ID) Values('HTM', 1);
Commit;
Create Table WEDGE_SYSTEM_D (
     HID             NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
     ,IS_NODE        NUMBER(9) NOT NULL 
     ,DATA_TYPE      NUMBER(9) NOT NULL 
      ,SEARCH_TABLE   VARCHAR2(50) NOT NULL 
      ,SEARCH_STRING  VARCHAR2(20) NOT NULL 
      ,VALUE          VARCHAR2(255) NOT NULL 
      ,DEFAULT_VALUE  VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create Table WEDGE_SYSTEM_H (
     ID              NUMBER(9) NOT NULL Primary Key
      ,LOGICAL_NAME   VARCHAR2(100) NOT NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NOT NULL 
     ,LINE           NUMBER(9) NOT NULL
      ,MEMO           VARCHAR2(255) NULL 
      ,SEARCH_STRING  VARCHAR2(20) NOT NULL 
     ,IS_LINCONTROL  NUMBER(9) NOT NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create Table WEDGE_PMC_BASE_D (
     HID             NUMBER(9)     NOT NULL,
     ID              NUMBER(9)     NOT NULL    Primary key,
     LINE            NUMBER(9)      NOT NULL,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      CLASS_NAME      VARCHAR2(120)   NULL,
      MEMO            VARCHAR2(255)   NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_BASE_H (
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
     LINE            NUMBER(9)      NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
      SEARCH_STRING   VARCHAR2(60)    NOT NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_BRULE_D (
     HID             NUMBER(9)     NOT NULL,
     ID              NUMBER(9)     NOT NULL    Primary key,
     LINE            NUMBER(9)     NOT NULL,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      CLASS_NAME      VARCHAR2(120)   NULL,
      MEMO            VARCHAR2(255)   NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_BRULE_H (
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
     LINE            NUMBER(9)     NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_DATA (
     ID                  NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME        VARCHAR2(100)    NULL,
      PHYSICAL_NAME       VARCHAR2(100)    NULL,
     LINE                NUMBER(9)     NULL,
      MEMO                VARCHAR2(255)   NULL,
      DATA_TYPE           VARCHAR2(255)   NULL,
     DB_TRANSFER_CLASS   NUMBER(9)     NULL,
      DB_TRANSFER_PARAM   VARCHAR2(100)   NULL,
     FORMAT_CLASS        NUMBER(9)     NULL,
      FORMAT_PARAM        VARCHAR2(100)   NULL,
     CHECK_CLASS         NUMBER(9) NULL,
      CREATE_USER         VARCHAR2(20)    NULL,
      CREATE_DATE         VARCHAR2(14)    NULL,
      UPDATE_USER         VARCHAR2(20)    NULL,
      UPDATE_DATE         VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_DC_D (
     HID             NUMBER(9)     NOT NULL,
     ID              NUMBER(9)     NOT NULL    Primary key,
     LINE            NUMBER(9)     NOT NULL,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      CLASS_NAME      VARCHAR2(120)   NULL,
      MEMO            VARCHAR2(255)   NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_DC_H (
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
     LINE            NUMBER(9)     NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
      SEARCH_STRING   VARCHAR2(60)    NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_NAME_D (
     HID             NUMBER(9)     NOT NULL,
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
     LINE            NUMBER(9)     NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
      VALUE           VARCHAR2(255)   NOT NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PMC_NAME_H (
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
     LINE            NUMBER(9)     NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
      SEARCH_STRING   VARCHAR2(60)    NOT NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PRJ_DESKTOP_MENUBAR_D (
     ID              NUMBER(9)     NOT NULL    Primary key,
     HID             NUMBER(9)     NOT NULL,
     MENUBAR_D_ID    NUMBER(9)     NULL,
      LOGICAL_NAME    VARCHAR2(100)    NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NULL,
      FRAME_PHYSICAL_NAME   VARCHAR2(100)   NULL,
      TYPE            VARCHAR2(255)     NULL,
      AUTO_START      VARCHAR2(255)     NULL,
      PRELOAD         VARCHAR2(255)     NULL,
      IMAGE_PATH      VARCHAR2(255)   NULL,
      TEXT            VARCHAR2(255)   NULL,
      TOOLTIP_TEXT    VARCHAR2(255)   NULL,
      TEXT_POSITION   VARCHAR2(255)     NULL,
      MEMO            VARCHAR2(255)   NULL,
     LINE            NUMBER(9)     NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);

Create Table WEDGE_PRJ_DESKTOP_MENUBAR_H (
     ID              NUMBER(9)        NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)   NULL,
      PHYSICAL_NAME   VARCHAR2(100)   NULL,
      MEMO            VARCHAR2(255)   NULL,
     X               NUMBER(9)        NULL,
     Y               NUMBER(9)        NULL,
     WIDTH           NUMBER(9)        NULL,
     HEIGHT          NUMBER(9)        NULL,
      MENU_VISIBLE    VARCHAR2(255)   NULL,
      TOOLBAR_VISIBLE VARCHAR2(255)   NULL,
      TITLE           VARCHAR2(100)   NULL,
      IMAGE_PATH      VARCHAR2(255)   NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PRJ_DESKTOP_USER (
     ID              NUMBER(9)         NOT NULL    Primary key,
     HID             NUMBER(9)         NULL,
     USER_ID         NUMBER(9)         NULL,
     LINE            NUMBER(9)         NULL,
      CREATE_USER     VARCHAR2(20)     NULL,
      CREATE_DATE     VARCHAR2(14)     NULL,
      UPDATE_USER     VARCHAR2(20)     NULL,
      UPDATE_DATE     VARCHAR2(14)     NULL
);
Create Table WEDGE_PRJ_DESKTOP_USER_CLASS (
     ID              NUMBER(9)         NOT NULL    Primary key,
     HID             NUMBER(9)         NULL,
     CLASS_ID        NUMBER(9)         NULL,
     LINE            NUMBER(9)         NULL,
      CREATE_USER     VARCHAR2(20)     NULL,
      CREATE_DATE     VARCHAR2(14)     NULL,
      UPDATE_USER     VARCHAR2(20)     NULL,
      UPDATE_DATE     VARCHAR2(14)     NULL
);
Create table WEDGE_PRJ_MENU_D (
      HID            NUMBER(9) NOT NULL
     ,MENU_D_ID      NUMBER(9) NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9)      NULL 
      ,TYPE           VARCHAR2(255) NULL
      ,IMAGE_PATH     VARCHAR2(255) NULL
      ,TEXT           VARCHAR2(255) NULL
      ,TOOLTIP_TEXT   VARCHAR2(255) NULL
      ,TEXT_POSITION  VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20)  NULL
      ,CREATE_DATE    VARCHAR2(14)  NULL
      ,UPDATE_USER    VARCHAR2(20)  NULL
      ,UPDATE_DATE    VARCHAR2(14)  NULL
) ;
Create table WEDGE_PRJ_MENU_H (
     ID              NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create Table WEDGE_PRJ_ROLE (
     ID              NUMBER(9)     NOT NULL    Primary key,
     SYSTEM_ID       NUMBER(9)     NOT NULL,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      FRAME_PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
     MENUBAR_ID      NUMBER(9)     NOT NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PRJ_ROLE_USER (
     ID              NUMBER(9)     NOT NULL    Primary key,
     ROLE_ID         NUMBER(9)     NULL,
     USER_ID         NUMBER(9)     NULL,
     AUTHORITY       NUMBER(9)     NULL,
     LINE            NUMBER(9)     NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PRJ_SYSTEM (
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      PASSWORD        VARCHAR2(20)     NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create table WEDGE_PRJ_TOOLBAR_D (
      HID            NUMBER(9) NOT NULL
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
      ,TYPE           VARCHAR2(255) NULL
      ,IMAGE_PATH     VARCHAR2(255) NULL
      ,TEXT           VARCHAR2(255) NULL
      ,TOOLTIP_TEXT   VARCHAR2(255) NULL
      ,TEXT_POSITION  VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_PRJ_TOOLBAR_H (
     ID              NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create Table WEDGE_PRJ_USER (
     ID              NUMBER(9)     NOT NULL    Primary key,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      PASSWORD        VARCHAR2(20)     NOT NULL,
      TERMVALIDITY    VARCHAR2(14)    NULL,
      MEMO            VARCHAR2(255)   NULL,
     LINE            NUMBER(9)     NULL,
     CLASS_ID        NUMBER(9)     NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PRJ_USER_CLASS (
     ID              NUMBER(9)     NOT NULL    Primary key,
     HID             NUMBER(9)     NULL,
      LOGICAL_NAME    VARCHAR2(100)    NOT NULL,
      PHYSICAL_NAME   VARCHAR2(100)    NOT NULL,
      MEMO            VARCHAR2(255)   NULL,
     LINE            NUMBER(9)     NULL,
      CREATE_USER     VARCHAR2(20)    NULL,
      CREATE_DATE     VARCHAR2(14)    NULL,
      UPDATE_USER     VARCHAR2(20)    NULL,
      UPDATE_DATE     VARCHAR2(14)    NULL
);
Create Table WEDGE_PRJ_USER_CLASS_USER (
     ID              NUMBER(9)         NOT NULL    Primary key,
     HID             NUMBER(9)         NULL,
     USER_ID         NUMBER(9)         NULL,
     LINE            NUMBER(9)         NULL,
      CREATE_USER     VARCHAR2(20)     NULL,
      CREATE_DATE     VARCHAR2(14)     NULL,
      UPDATE_USER     VARCHAR2(20)     NULL,
      UPDATE_DATE     VARCHAR2(14)     NULL
);
Create table WEDGE_BAT_CALL_STRAN (
     BATCH_SUB_ID    	    NUMBER(9) NOT NULL 
     ,ID                     NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME           VARCHAR2(100) NULL 
      ,PHYSICAL_NAME          VARCHAR2(100) NULL 
      ,MEMO                   VARCHAR2(255) NULL 
     ,LINE                   NUMBER(9) NULL 
      ,CALL_SERVERSUB_PNAME   VARCHAR2(100) NULL 
      ,CALL_STRAN_PNAME       VARCHAR2(100) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
      ,REVISION               VARCHAR2(20) NULL 
) ;
Create table WEDGE_BAT_CALL_STRAN_IN (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,CALL_STRAN_ID  NUMBER(9) NULL 
     ,BATCH_DATA_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_CALL_STRAN_OUT (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,CALL_STRAN_ID  NUMBER(9) NULL 
     ,BATCH_DATA_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_DATA (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,DATA_D_ID      NUMBER(9) NULL 
      ,ITEM_TYPE      VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_DECISION_DLCP (
     BATCH_SUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
     ,LINE               NUMBER(9) NULL 
     ,DECISION_TYPE_ID   NUMBER(9) NULL 
      ,USER_ERROR         VARCHAR2(255) NULL 
     ,DC_ID              NUMBER(9) NULL 
     ,SRULE_ID           NUMBER(9) NULL 
     ,CALL_STRAN_ID      NUMBER(9) NULL 
      ,ENABLE             VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_BAT_DECISION_TABLE (
     BATCH_SUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME       VARCHAR2(100) NULL 
      ,PHYSICAL_NAME      VARCHAR2(100) NULL 
      ,MEMO               VARCHAR2(255) NULL 
     ,LINE               NUMBER(9) NULL 
     ,SERVER_TRAN_ID     NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_BAT_DECISION_TYPE (
     BATCH_SUB_ID        NUMBER(9) NOT NULL 
     ,ID                 NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME       VARCHAR2(100) NULL 
      ,PHYSICAL_NAME      VARCHAR2(100) NULL 
      ,MEMO               VARCHAR2(255) NULL 
     ,LINE               NUMBER(9) NULL 
     ,DECISION_TABLE_ID  NUMBER(9) NULL 
      ,DECISION_EXECUTE_TYPE VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
);
Create table WEDGE_BAT_DLCP (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,DLCP_ID        NUMBER(9) NULL 
      ,CONNECTION_DB  VARCHAR2(255) NULL 
     ,SRULE_ID       NUMBER(9) NULL 
     ,OUTPUT_DLCP_ID NUMBER(9) NULL 
      ,PARAM          VARCHAR2(255) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
     ,REVISION       NUMBER(9) NULL
) ;
Create table WEDGE_BAT_DLCP_IN_RECORD (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,DLCP_ID        NUMBER(9) NULL 
     ,BATCH_DATA_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_DLCP_OUT_RECORD (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL
     ,DLCP_ID        NUMBER(9) NULL 
     ,BATCH_DATA_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_RULE (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
      ,LOGICAL_NAME   VARCHAR2(100) NULL 
      ,PHYSICAL_NAME  VARCHAR2(100) NULL 
      ,MEMO           VARCHAR2(255) NULL 
     ,LINE           NUMBER(9) NULL 
     ,BASECLASS_ID   NUMBER(9) NULL 
      ,PARAM          VARCHAR2(255) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_RULE_IN_RECORD (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL 
     ,BATCH_RULE_ID  NUMBER(9) NULL 
     ,BATCH_DATA_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_RULE_OUT_RECORD (
     BATCH_SUB_ID    NUMBER(9) NOT NULL 
     ,ID             NUMBER(9) NOT NULL Primary key
     ,LINE           NUMBER(9) NULL 
     ,BATCH_RULE_ID  NUMBER(9) NULL 
     ,BATCH_DATA_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_SUB (
     ID                  NUMBER(9) NOT NULL Primary key
      , LOGICAL_NAME      VARCHAR2(100) NULL 
      , PHYSICAL_NAME     VARCHAR2(100) NULL 
      , MEMO              VARCHAR2(255) NULL 
      , BATCH_TRAN_TYPE   VARCHAR2(255) NULL
     ,REVISION       NUMBER(9) NULL
 	,COMPILED       NUMBER(9) NULL
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create table WEDGE_BAT_TRAN (
     BATCH_SUB_ID        NUMBER(9) NOT NULL 
     , ID                NUMBER(9) NOT NULL Primary key
      , LOGICAL_NAME      VARCHAR2(100) NULL 
      , PHYSICAL_NAME     VARCHAR2(100) NULL 
      , MEMO              VARCHAR2(255) NULL 
     , LINE              NUMBER(9) NULL 
      , BATCH_TRAN_PROC   VARCHAR2(255) NULL
     , INPUT_RECORD_ID   NUMBER(9) NULL 
     , OUTPUT_RECORD_ID  NUMBER(9) NULL 
      ,CREATE_USER    VARCHAR2(20) NULL
      ,CREATE_DATE    VARCHAR2(14) NULL
      ,UPDATE_USER    VARCHAR2(20) NULL
      ,UPDATE_DATE    VARCHAR2(14) NULL
) ;
Create View WEDGE_BUSINESSRULE_HEAD As
Select
    WEDGE_BUSINESSRULE_H.ID
    , WEDGE_BUSINESSRULE_H.LOGICAL_NAME
    , WEDGE_BUSINESSRULE_H.PHYSICAL_NAME
    , WEDGE_BUSINESSRULE_H.LINE
    , WEDGE_BUSINESSRULE_H.MEMO
    , WEDGE_BUSINESSRULE_H.CREATE_USER
    , WEDGE_BUSINESSRULE_H.CREATE_DATE
    , WEDGE_BUSINESSRULE_H.UPDATE_USER
    , WEDGE_BUSINESSRULE_H.UPDATE_DATE
From
    WEDGE_BUSINESSRULE_H
Union All
Select
    WEDGE_PMC_BRULE_H.ID
    , WEDGE_PMC_BRULE_H.LOGICAL_NAME
    , WEDGE_PMC_BRULE_H.PHYSICAL_NAME
    , WEDGE_PMC_BRULE_H.LINE
    , WEDGE_PMC_BRULE_H.MEMO
    , WEDGE_PMC_BRULE_H.CREATE_USER
    , WEDGE_PMC_BRULE_H.CREATE_DATE
    , WEDGE_PMC_BRULE_H.UPDATE_USER
    , WEDGE_PMC_BRULE_H.UPDATE_DATE
From
    WEDGE_PMC_BRULE_H
;
Create View WEDGE_BASE As
Select
    WEDGE_BASE_H.SEARCH_STRING AS SEARCH_STRING
    , WEDGE_BASE_D.HID
    , WEDGE_BASE_D.LINE
    , WEDGE_BASE_D.ID
    , WEDGE_BASE_D.PHYSICAL_NAME
    , WEDGE_BASE_D.LOGICAL_NAME
    , WEDGE_BASE_D.MEMO
    , WEDGE_BASE_D.CLASS_NAME
From
    WEDGE_BASE_D, WEDGE_BASE_H
Where
    WEDGE_BASE_D.HID=WEDGE_BASE_H.ID
Union All
Select
    WEDGE_PMC_BASE_H.SEARCH_STRING AS SEARCH_STRING
    , WEDGE_PMC_BASE_D.HID
    , WEDGE_PMC_BASE_D.LINE
    , WEDGE_PMC_BASE_D.ID
    , WEDGE_PMC_BASE_D.PHYSICAL_NAME
    , WEDGE_PMC_BASE_D.LOGICAL_NAME
    , WEDGE_PMC_BASE_D.MEMO
    , WEDGE_PMC_BASE_D.CLASS_NAME
From
    WEDGE_PMC_BASE_D, WEDGE_PMC_BASE_H
Where
    WEDGE_PMC_BASE_D.HID=WEDGE_PMC_BASE_H.ID
;
Create View WEDGE_BUSINESSRULE As
Select
    WEDGE_BUSINESSRULE_H.PHYSICAL_NAME As SEARCH_STRING
    , WEDGE_BUSINESSRULE_D.HID
    , WEDGE_BUSINESSRULE_D.LINE
    , WEDGE_BUSINESSRULE_D.ID
    , WEDGE_BUSINESSRULE_D.PHYSICAL_NAME
    , WEDGE_BUSINESSRULE_D.LOGICAL_NAME
    , WEDGE_BUSINESSRULE_D.MEMO
    , WEDGE_BUSINESSRULE_D.CLASS_NAME
From
    WEDGE_BUSINESSRULE_D, WEDGE_BUSINESSRULE_H
Where
    WEDGE_BUSINESSRULE_D.HID=WEDGE_BUSINESSRULE_H.ID
Union All
Select
    WEDGE_PMC_BRULE_H.PHYSICAL_NAME As SEARCH_STRING
    , WEDGE_PMC_BRULE_D.HID
    , WEDGE_PMC_BRULE_D.LINE
    , WEDGE_PMC_BRULE_D.ID
    , WEDGE_PMC_BRULE_D.PHYSICAL_NAME
    , WEDGE_PMC_BRULE_D.LOGICAL_NAME
    , WEDGE_PMC_BRULE_D.MEMO
    , WEDGE_PMC_BRULE_D.CLASS_NAME
From
    WEDGE_PMC_BRULE_D, WEDGE_PMC_BRULE_H
Where
    WEDGE_PMC_BRULE_D.HID=WEDGE_PMC_BRULE_H.ID
;
Create View WEDGE_DATA_CLASS As
Select
    ID
    , LOGICAL_NAME
    , PHYSICAL_NAME
    , LINE
    , MEMO
    , DATA_TYPE
    , DB_TRANSFER_CLASS
    , DB_TRANSFER_PARAM
    , FORMAT_CLASS
    , FORMAT_PARAM
    , CHECK_CLASS
    , CREATE_USER
    , CREATE_DATE
    , UPDATE_USER
    , UPDATE_DATE
From
    WEDGE_DATA
Union All
Select
    ID
    , LOGICAL_NAME
    , PHYSICAL_NAME
    , LINE
    , MEMO
    , DATA_TYPE
    , DB_TRANSFER_CLASS
    , DB_TRANSFER_PARAM
    , FORMAT_CLASS
    , FORMAT_PARAM
    , CHECK_CLASS
    , CREATE_USER
    , CREATE_DATE
    , UPDATE_USER
    , UPDATE_DATE
From
    WEDGE_PMC_DATA
;
Create View WEDGE_DLCP As
Select
    WEDGE_DLCP_H.SEARCH_STRING AS SEARCH_STRING
    , WEDGE_DLCP_D.HID
    , WEDGE_DLCP_D.LINE
    , WEDGE_DLCP_D.ID
    , WEDGE_DLCP_D.PHYSICAL_NAME
    , WEDGE_DLCP_D.LOGICAL_NAME
    , WEDGE_DLCP_D.MEMO
    , WEDGE_DLCP_D.CLASS_NAME
From
    WEDGE_DLCP_D, WEDGE_DLCP_H
Where
    WEDGE_DLCP_D.HID=WEDGE_DLCP_H.ID
Union All
Select
    WEDGE_PMC_DC_H.SEARCH_STRING AS SEARCH_STRING
    , WEDGE_PMC_DC_D.HID
    , WEDGE_PMC_DC_D.LINE
    , WEDGE_PMC_DC_D.ID
    , WEDGE_PMC_DC_D.PHYSICAL_NAME
    , WEDGE_PMC_DC_D.LOGICAL_NAME
    , WEDGE_PMC_DC_D.MEMO
    , WEDGE_PMC_DC_D.CLASS_NAME
From
    WEDGE_PMC_DC_D, WEDGE_PMC_DC_H
Where
    WEDGE_PMC_DC_D.HID=WEDGE_PMC_DC_H.ID
;
Create View WEDGE_NAME As
Select
    WEDGE_NAME_H.SEARCH_STRING
    , WEDGE_NAME_D.HID
    , WEDGE_NAME_D.LINE
    , WEDGE_NAME_D.ID
    , WEDGE_NAME_D.PHYSICAL_NAME
    , WEDGE_NAME_D.LOGICAL_NAME
    , WEDGE_NAME_D.MEMO
    , WEDGE_NAME_D.VALUE
From
    WEDGE_NAME_D, WEDGE_NAME_H
Where
    WEDGE_NAME_D.HID=WEDGE_NAME_H.ID
Union All
Select
    WEDGE_PMC_NAME_H.SEARCH_STRING
    , WEDGE_PMC_NAME_D.HID
    , WEDGE_PMC_NAME_D.LINE
    , WEDGE_PMC_NAME_D.ID
    , WEDGE_PMC_NAME_D.PHYSICAL_NAME
    , WEDGE_PMC_NAME_D.LOGICAL_NAME
    , WEDGE_PMC_NAME_D.MEMO
    , WEDGE_PMC_NAME_D.VALUE
From
    WEDGE_PMC_NAME_D, WEDGE_PMC_NAME_H
Where
    WEDGE_PMC_NAME_D.HID=WEDGE_PMC_NAME_H.ID
;
Create Table WEDGE_VERSION_TABLE (
      VERSION  VARCHAR2(5) NOT NULL Primary Key
);
--Begin;
Insert Into WEDGE_VERSION_TABLE (VERSION) Values('1.00');
Commit;
